<launch>
    <arg name="use_gui" default="False" />
    <arg name="use_nmea_navsat" default="True" />
    <arg name="use_gnss_module_driver" default="True" />

    <!-- /dev/ttyUSB0 /dev/ttyTHS0 -->
    <arg name="port" default="/dev/ttyS0" />
    <arg name="baud" default="115200" />

    <arg name="d_heading" default="0" /> <!-- 旋转度数(deg),负数为逆时针旋转-->
    <arg name="antenna_distance" default="0.75" /> <!--左边定位，右边定向-->
    <arg name="output_topic_fix" default="/gnss/fix" />
    <arg name="d_yaw" default="-90" />

    <group if='$(arg use_nmea_navsat)'>
    <include file="$(find nmea_navsat)/launch/nmea_navsat.launch" >
        <arg name="port" default="$(arg port)" />
        <arg name="baud" default="$(arg baud)" />
    </include>
    </group>

    <group if='$(arg use_gnss_module_driver)'>

    <!-- <include file="$(find gnss_module_driver)/launch/gnss_nmea_driver.launch">
        <arg name="d_heading" default="$(arg d_heading)" description="负数为逆时针旋转"/> 
        <arg name="antenna_distance" default="$(arg antenna_distance)" description="左边定位，右边定向" /> 
        <arg name="d_yaw" default="$(arg d_yaw)" />
        <arg name="output_topic_fix" default="$(arg output_topic_fix)" />
    </include>
 -->
    <include file="$(find gnss_driver_cpp)/launch/nmea.launch">
    </include>

    </group>



    <arg name="input_topic_imu_raw" default="/gnss/imu_raw" />

    <group if='$(arg use_gui)'>
    <node pkg="gnss_module_gui" type="gnss_module_gui" name="gnss_module_gui" required='true' output="screen">
        <param name="ui_path" value="$(find gnss_module_gui)/ui"/>
        <param name="input_topic_imu_raw" value="$(arg input_topic_imu_raw)"/>
        <param name="input_topic_fix" value="$(arg output_topic_fix)"/>
    </node>
    </group>
    <!-- <group unless='$(arg use_manual_control)' -->

</launch>
